#pragma once

#include <QWidget>
#include "ui_qminiblink.h"
#include "wke.h"
#include <Windows.h>
#include <CommCtrl.h>

class QMiniBlink : public QWidget
{
	Q_OBJECT

public:
	QMiniBlink(QWidget *broswer,QWidget *parent = Q_NULLPTR);
	~QMiniBlink();
	void init();
	void destroy();
	void autojustWebViewSize();
public slots:
	void switchUrl(QString url);
private:
	Ui::QMiniBlink ui;
	wkeWebView wkeView;
	QWidget *broswer;
	static LRESULT CALLBACK subClassProc(HWND hWnd, UINT uMsg, WPARAM wParam, LPARAM lParam, UINT_PTR uIdSubclass, DWORD_PTR dwRefData);
};
